Get all roles assigned to a user
curl --request GET \
--url https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"roleId": "project_admin",
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"projectId": "project-alpha"
}
],
"meta": {
"total": 42,
"page": 1,
"pageSize": 20,
"totalPages": 3
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": [
"accountId must be a valid identifier"
]
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient permissions to access this resource"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}IAM
Get all Roles assigned to a User
Retrieve all roles assigned to a specific user within an account, including account-level and project-level role assignments
GET
/
api
/
v1
/
accounts
/
{accountId}
/
roles
/
users
/
{userId}
Get all roles assigned to a user
curl --request GET \
--url https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aion.xyz/api/v1/accounts/{accountId}/roles/users/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"roleId": "project_admin",
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"projectId": "project-alpha"
}
],
"meta": {
"total": 42,
"page": 1,
"pageSize": 20,
"totalPages": 3
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": [
"accountId must be a valid identifier"
]
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required"
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Insufficient permissions to access this resource"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Authorizations
JWT Bearer token authentication
Path Parameters
The account identifier (external account ID)
Example:
"my-company-account"
The user identifier (external user ID)
Example:
"john.doe"
Query Parameters
Filter role assignments by status The status of the role assignment
Available options:
ACTIVE, INACTIVE Filter role assignments by role scope The scope of the role:
- ACCOUNT: Role applies at the account level (e.g., account_admin)
- PROJECT: Role applies at the project level (e.g., project_admin, project_reader)
- RESOURCE: Role applies to specific resources
Available options:
ACCOUNT, PROJECT, RESOURCE Filter role assignments by project ID
Example:
"project-alpha"
